#!/bin/sh
#
# simi2url Convert simms.idx format to ftp URL format
# By Prof. Timo Salmi Fri 10-May-96, ver 1.0
#
# This script can be used to convert the simms.idx information from
# ftp://ftp.simtel.net/pub/simtelnet/msdos/00_info/simdos-i.zip
# simdos-i.zip Comma-delim list of all Simtel.Net MS-DOS files w/descrip.
# to the ftp ULR format for easy referencing in downloading
#
# For example you might use
# grep tsutil simms.idx | simi2url
# to have the reference
# ftp://ftp.simtel.net/pub/simtelnet/msdos/sysutl/tsutil42.zip
#
# To make this simi2url script operative the first time, apply
#  chmod u+x simi2ulr
#  rehash

awk -F\, '{ printf "ftp://ftp.simtel.net/pub/%s%s%s\n", $1, $2, $3 }' \
  | sed -e 's/\"//g'

#....................................................................
#Prof. Timo Salmi   Co-moderator of news:comp.archives.msdos.announce
#Moderating at ftp:// & http://garbo.uwasa.fi archives  193.166.120.5
#Department of Accounting and Business Finance  ; University of Vaasa
#ts@uwasa.fi http://uwasa.fi/~ts BBS 961-3170972; FIN-65101,  Finland
